import request from '@/utils/request'

// 查询物流异常订单列表
export function listDeliveryAbnormalOrder(data) {
  return request({
    url: '/store/store/storeDeliveryAbnormalOrder/list',
    method: 'post',
    data: data
  })
}

// 查询物流异常订单详情
export function getDeliveryAbnormalOrder(id) {
  return request({
    url: '/store/store/storeDeliveryAbnormalOrder/' + id,
    method: 'get'
  })
}

// 处理物流异常
export function handleDeliveryException(data) {
  return request({
    url: '/store/store/storeDeliveryAbnormalOrder/handle',
    method: 'post',
    data: data
  })
}

// 导出物流异常订单
export function exportDeliveryAbnormalOrder(data) {
  return request({
    url: '/store/store/storeDeliveryAbnormalOrder/export',
    method: 'post',
    data: data
  })
}
